Both the GET /images and GET
/images/detail requests take query parameters that
serve to filter the returned list of images. The following list
details these query parameters.
name=NAMEFilters images having a
nameattribute matchingNAME.container_format=FORMATFilters images having a
container_formatattribute matchingFORMATFor more information, see :doc:`About Disk and Container Formats <formats>`
disk_format=FORMATFilters images having a
disk_formatattribute matchingFORMATFor more information, see :doc:`About Disk and Container Formats <formats>`
status=STATUSFilters images having a
statusattribute matchingSTATUSFor more information, see :doc:`About Image Statuses <statuses>`
size_min=BYTESFilters images having a
sizeattribute greater than or equal toBYTESsize_max=BYTESFilters images having a
sizeattribute less than or equal toBYTES
These two resources also accept sort parameters:
sort_key=KEYResults will be ordered by the specified image attribute
KEY. Accepted values includeid,name,status,disk_format,container_format,size,created_at(default) andupdated_at.sort_dir=DIRResults will be sorted in the direction
DIR. Accepted values areascfor ascending ordesc(default) for descending.

